%define oname	Heimdall

#define pre	RC2
%define rel	1

Name:		heimdall
Version:	2.1.0
Release:	%mkrel %{?pre:0.%{pre}.}%{rel}
Summary:	Flash firmware (aka ROMs) onto Samsung Galaxy devices
Group:		Communications/Mobile
License:	MIT
URL:		https://glassechidna.com.au/heimdall/
Source0:	https://git.sr.ht/~grimler/Heimdall/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source2:	%{name}.desktop
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake
BuildRequires:	desktop-file-utils

%description
Heimdall is a cross-platform open-source tool suite used to flash firmware (aka
ROMs) onto Samsung mobile devices.

%package frontend
Summary:	Qt5 based frontend for %{name}
Group:		Communications/Mobile
Requires:	%{name} = %{version}-%{release}

%description frontend
Heimdall is a cross-platform open-source tool suite used to flash firmware (aka
ROMs) onto Samsung mobile devices.

This package provides Qt5 based frontend for %{name}.


%prep
%autosetup -n %{oname}-v%{version}%{?pre}

#remove unneeded files
rm -rf Win32
rm -rf OSX

#not needed
rm -rf libusb*


%build
%cmake
%cmake_build


%install
%cmake_install

install -D -m 0644 heimdall/60-heimdall.rules %{buildroot}%{_udevrulesdir}/60-heimdall.rules
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE2}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_udevrulesdir}/60-heimdall.rules

%files frontend
%license LICENSE
%doc README.md
%{_bindir}/%{name}-frontend
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Nov 12 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2114589
- new version: 2.1.0

* Wed Jan 25 2023 wally <wally> 2.0.2-1.mga9
+ Revision: 1936119
- new version 2.0.2 from new upstream repo, and maintainer

* Sun Apr 03 2022 umeabot <umeabot> 1.4.2-6.mga9
+ Revision: 1842081
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.4.2-5.mga8
+ Revision: 1658554
- Rebuild for new Qt5

* Sat Feb 15 2020 daviddavid <daviddavid> 1.4.2-4.mga8
+ Revision: 1525810
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.4.2-3.mga7
+ Revision: 1381899
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-2.mga7
+ Revision: 1298181
- Mageia 7 Mass Rebuild

* Wed Jul 26 2017 ovitters <ovitters> 1.4.2-1.mga7
+ Revision: 1131009
- new version 1.4.2
- sync with Fedora spec

* Thu Jan 28 2016 umeabot <umeabot> 1.4.1-4.mga6
+ Revision: 928493
- Mageia 6 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 680106
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 tv <tv> 1.4.1-2.mga5
+ Revision: 643454
- switch to pkgconfig() style BRs

* Fri Jun 27 2014 wally <wally> 1.4.1-1.mga5
+ Revision: 640448
- new version 1.4.1

* Mon Oct 21 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 540996
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 wally <wally> 1.4.0-1.mga4
+ Revision: 494800
- revert to 1.4.0 (as 1.4.1 RC2 disappeared mystically from upstream)

* Thu May 23 2013 wally <wally> 1.4.1-0.RC2.1.mga4
+ Revision: 425171
- new version 1.4.1 rc2
- rediff patches

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-3.mga3
+ Revision: 353164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 malo <malo> 1.3.2-2.mga3
+ Revision: 309715
- update RPM group

* Mon Jun 04 2012 wally <wally> 1.3.2-1.mga3
+ Revision: 254426
- new version 1.3.2

* Fri Feb 24 2012 wally <wally> 1.3.1-1.mga2
+ Revision: 214095
- new version 1.3.1
- rediff P0
- imported package heimdall

